# GetStorageAnalytics

Returns storage analytics over time.

This operation is an extension to the standard S3 API, and is implemented to provide more information to the about their usage.

### Request <a href="#request" id="request"></a>

```http
GET /?storageAnalytics&fromDate={FromDate}&toDate={ToDate}&format={json/xml} HTTP/1.1
```

### Response

**Headings**

The response can only contain [general headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md) .

**Response codes**

For a list of possible answers, see the [Answers](/http-api-compatible-with-amazon-s3/api-reference/answers.md) section .

The successful response contains additional data in XML format, the schema of which is described below.

**Data schema**

```markup
<?xml version="1.0" encoding="UTF-8"?>
<StorageUsageAnalytics>
  <Record>
    <Timestamp>2021-08-13</Timestamp>
    <UsedStorage>0</UsedStorage>
    <UsedStorageReadable>0 B</UsedStorageReadable>
  </Record>
  ...
</StorageUsageAnalytics>
```

| Element                 | Description                                                                                                                                                           |
| ----------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `StorageUsageAnalytics` | Root element.                                                                                                                                                         |
| `Record`                | Array of records of analytics. There is only one record for an hour, but if no bandwidth was used for a specific hour then no record for that hour will be available. |
| `Timestamp`             | Date and hour of the record                                                                                                                                           |
| `UsedStorage`           | Used storage at that timestamp.                                                                                                                                       |
| `UsedStorageReadable`   | Used storage at that timestamp in readable format.                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/analytics/getstorageanalytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
